Skip to main content
`Ctrl`+`K`

# TaoGetLinearSolveIterations

Gets the total number of linear iterations used by the `Tao` solver

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetLinearSolveIterations(Tao tao, PetscInt *lits)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- lits - number of linear iterations

## Note

This counter is reset to zero for each successive call to `TaoSolve()`

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetKSP()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages